glibmm 2.38.0

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Examples

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | List of all members
Gio::ResolverError Class Reference

`#include <giomm/error.h>`

Inheritance diagram for Gio::ResolverError:
[legend]

## Public Types
enum | Code { NOT_FOUND, TEMPORARY_FAILURE, INTERNAL }

## Public Member Functions
| ResolverError (Code error_code, const Glib::ustring& error_message)
| ResolverError (GError* gobject)
Code | code () const
Public Member Functions inherited from Glib::Error
| Error ()
| Error (GQuark domain, int code, const Glib::ustring& message)
| Error (GError* gobject, bool take_copy=false)
| Error (const Error& other)
Error& | operator= (const Error& other)
virtual | ~Error () throw ()
GQuark | domain () const
int | code () const
virtual Glib::ustring | what () const
bool | matches (GQuark domain, int code) const
GError* | gobj ()
const GError* | gobj () const
Public Member Functions inherited from Glib::Exception
virtual | ~Exception ()=0 throw ()

## Additional Inherited Members
Protected Attributes inherited from Glib::Error
GError* | gobject_

## Member Enumeration Documentation

enum Gio::ResolverError::Code

Enumerator
NOT_FOUND |
TEMPORARY_FAILURE |
INTERNAL |

## Constructor & Destructor Documentation

Gio::ResolverError::ResolverError | ( | Code | error_code,
|  | const Glib::ustring& | error_message
| ) |  |

Gio::ResolverError::ResolverError | ( | GError * | gobject | ) |
| explicit

## Member Function Documentation

Code Gio::ResolverError::code | ( |  | ) | const